License Delivery

Referencia de 2 endpoints generados desde mosend-wb-backend/src/modules/license-delivery/paypal.controller.ts.

Base path: /·2 endpoints·Source: mosend-wb-backend/src/modules/license-delivery/paypal.controller.ts
POST/webhooks/paypal/:orgId
bearer

Aviso de pagos de PayPal (lo registra Mosend al conectar PayPal). Verifica la firma y confirma el pedido.

Path params

  • orgIdstringrequerido

Body

unknownparámetro: evento

Respuestas

  • 200
curl -X POST 'https://api.mosend.dev/webhooks/paypal/a1b2c3d4-1234-5678-9abc-def012345678' \
  -H 'X-Api-Key: mk_live_<prefix>.<secret>' \
  -H 'Content-Type: application/json' \
  -d '{"name": "string","description": "string"}'
Response · 200
{
  "data": {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "description": "string"
  },
  "timestamp": "2026-05-01T03:42:18.123Z"
}
GET/pagos/paypal/:orgId/:orderId
bearer

Sin descripción adicional.

Path params

  • orgIdstringrequerido
  • orderIdstringrequerido

Query params

  • tokenstring | undefined
curl -X GET 'https://api.mosend.dev/pagos/paypal/a1b2c3d4-1234-5678-9abc-def012345678/00000000-0000-0000-0000-000000000000' \
  -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "createdAt": "2026-05-01T03:42:18.123Z"
    }
  ],
  "timestamp": "2026-05-01T03:42:18.123Z"
}